nqp (2019.07.1+dfsg-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Bump Standards-Version to 4.4.0 (no change).
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Sep 2019 03:54:33 +0000

nqp (2019.07.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.07.1+dfsg
  * Bump moarvm-dev requirement to >= 2019.07.
  * Rebase Ensure-MANIFEST-doesn-t-get-deleted-by-realclean.patch
  * Refresh patches.
  * Import nqp-configure (7411804).
  * Link the convenient copy of nqp-configure to 3rdparty.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 06:54:24 +0000

nqp (2019.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.03+dfsg
  * Point watch file to github.
  * Add myself to uploaders.
  * Bump moarvm requirement to (>= 2019.03).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 12 Jul 2019 12:01:46 +0000

nqp (2018.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.12+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Sat, 22 Dec 2018 14:40:43 +0100

nqp (2018.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.11+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Sat, 01 Dec 2018 18:50:24 +0100

nqp (2018.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.10+dfsg
  * control: update moarvm-dev dep versions
  * fix debian/patches/skip-dubious-tests

 -- Robert Lemmen <robertle@semistable.com>  Thu, 15 Nov 2018 18:44:31 +0100

nqp (2018.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.09+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Mon, 24 Sep 2018 08:49:01 +0200

nqp (2018.06+dfsg-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * work-around test that hang in autopkgtest (Closes: #900230)

  [ Robert Lemmen ]
  * New upstream version 2018.06+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Tue, 26 Jun 2018 20:51:17 +0200

nqp (2018.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.05+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Sat, 26 May 2018 13:38:18 +0200

nqp (2018.04.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.04.1+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Mon, 30 Apr 2018 08:57:54 +0200

nqp (2018.04+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.04+dfsg
  * update debian/watch to match new layout of rakudo.org site
  * control: update moarvm-dev dep versions
  * Bump Standards-Version
  * remove semaphore test patch now applied upstream

 -- Robert Lemmen <robertle@semistable.com>  Wed, 25 Apr 2018 19:32:09 +0200

nqp (2018.03+dfsg-2) unstable; urgency=medium

  * Fix race condition in 03-semaphore.t

 -- Robert Lemmen <robertle@semistable.com>  Thu, 05 Apr 2018 20:33:47 +0200

nqp (2018.03+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.03+dfsg
  * watch: back to http: rakudo ssl cert is wrong
  * control: update moarvm-dev dep versions
  * control: update Vcs-Browser and Vcs-Git

 -- Dominique Dumont <dod@debian.org>  Tue, 03 Apr 2018 18:23:49 +0200

nqp (2018.02+dfsg-1) unstable; urgency=medium

  * setup gpg check of upstream tarball
  * New upstream version 2018.02+dfsg (Closes: #891344)
  * control: update moarvm-dev dep versions
  * control: use the same arches as moarvm (this
    package is no longer arch any)
  * add patch to skip unreliable tests until they are
    fixed upstream
  * add tests/control file

 -- Dominique Dumont <dod@debian.org>  Thu, 22 Feb 2018 13:45:48 +0100

nqp (2018.01+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.01+dfsg
  * copyright: exclude src/vm/js
  * refreshed copyright with cme
  * README.source: mention src/vm/js exclusion
  * control: update moarvm-dev dep versions
  * control: declare compliance with policy 4.1.3

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Feb 2018 18:46:16 +0100

nqp (2017.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2017.08+dfsg
  * control: update moarvm-dev dep versions
  * control: declare compliance with policy 4.1.1

 -- Dominique Dumont <dod@debian.org>  Wed, 01 Nov 2017 18:33:21 +0100

nqp (2017.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2017.06+dfsg
  * control: update moarvm-dev dep version
  * copyright: refreshed with cme
  * control: bump Standards-Version to 4.0.0

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 24 Jun 2017 00:27:30 +0200

nqp (2017.05+dfsg-1) experimental; urgency=medium

  [ Daniel Dehennin ]
  * New upstream version 2017.05+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Wed, 24 May 2017 16:22:40 +0200

nqp (2017.03+dfsg-2) experimental; urgency=medium

  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Thu, 06 Apr 2017 19:04:38 +0200

nqp (2017.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2017.03+dfsg

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Mar 2017 13:57:34 +0200

nqp (2017.02+dfsg-1) experimental; urgency=medium

  * New upstream version 2017.02+dfsg
  * refreshed patch
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sun, 05 Mar 2017 18:49:52 +0100

nqp (2016.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.12+dfsg
  * refreshed patches
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Dec 2016 14:01:13 +0100

nqp (2016.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.11+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Nov 2016 13:40:55 +0100

nqp (2016.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.10+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sun, 30 Oct 2016 19:06:15 +0100

nqp (2016.09+dfsg-1) unstable; urgency=medium

  [ Daniel Dehennin ]
  * New upstream version 2016.09+dfsg
  * control: update moarvm-dev dep versions
  * Update patches
  * Remove deleted json.nqp from examples

  [ Dominique Dumont ]
  * cme files: skip files with bogus © info
  * copyright: refreshed with cme

 -- Dominique Dumont <dod@debian.org>  Tue, 27 Sep 2016 13:05:43 +0200

nqp (2016.07+dfsg-1) unstable; urgency=medium

  * Mangle debian version in debian/watch file
  * Add “+dfsg” to Debian package upstream version
  * Imported Upstream version 2016.07+dfsg
  * control: update moarvm-dev dep versions
  * copyright: updated with cme

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 23 Jul 2016 15:01:56 +0200

nqp (2016.06+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2016.06+dfsg
  * control: updated moarvm-dev dep versions
  * excluded 3rdparty directory
  * removed copyright tweaks of excluded files
  * copyright: removed entries of excluded files

 -- Dominique Dumont <dod@debian.org>  Tue, 05 Jul 2016 13:09:58 +0200

nqp (2016.05-1) unstable; urgency=medium

  * Imported Upstream version 2016.05
  * control:
    * updated BD moarvm-dev version
    * Depends: replace moarvm dep with ${moarvm:Depends}
  * rules: compute moarvm:Depends variable for control

 -- Dominique Dumont <dod@debian.org>  Mon, 30 May 2016 13:42:30 +0200

nqp (2016.04-1) unstable; urgency=medium

  * Imported Upstream version 2016.04
  * control:
    * depends on moarvm >= 2016.04
    * removed strict dep constraint on moarvm
    * Standards-Version: '3.9.7' -> '3.9.8'

 -- Dominique Dumont <dod@debian.org>  Mon, 25 Apr 2016 12:58:03 +0200

nqp (2016.03-1) unstable; urgency=medium

  * Imported Upstream version 2016.03
  * copyright: removed old path from Files-Excluded
  * control: updated moar dependency versions

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Apr 2016 11:54:00 +0200

nqp (2016.02-1) unstable; urgency=medium

  * Imported Upstream version 2016.02
  * control: updated moarvm dependencies (>=2016.02 and << 2016.03)
  * control: updated std-version to 3.9.7
  * updated copyright with cme

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Mar 2016 12:29:50 +0100

nqp (2015.11-2) unstable; urgency=medium

  * control: restrict versions of moarvm dependency so that nqp
    depends on the same version of moarvm (ie. 2015.11*)

 -- Dominique Dumont <dod@debian.org>  Wed, 06 Jan 2016 20:47:36 +0100

nqp (2015.11-1) unstable; urgency=medium

  * Imported Upstream version 2015.11
  * Update patches
  * control: update dep on MoarVM 2015.11-1

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sun, 29 Nov 2015 23:46:04 +0100

nqp (2015.09.1-2) unstable; urgency=medium

  * control: updated dep on moarvm 2015.09-3

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Oct 2015 21:01:07 +0200

nqp (2015.09.1-1) unstable; urgency=medium

  [ Paul Cochrane ]
  * lintian issues fixed
  * Make debuild a bit happier with the changelog
  * Add patches:
    * to keep MANIFEST after realclean
    * to use VERSION file to determine nqp version
    * to use jquery.min.js from libjs-jquery package
  * Update manpage to use MoarVM instead of Parrot
  * Update debian/manpages to point to correct manpage
  * Remove nqp binary indendently of platform
  * control: Remove shlibs:Depends variable
  * control: Added libjs-jquery as build dependency

  [ Daniel Dehennin ]
  * NQP needs versioned MoarVM dependency
  * Add myself in Uploaders

  [ Dominique Dumont ]
  * Imported Upstream version 2015.09.1
  * control:
    * updated std-version
    * removed mention of Parrot from description
    * nqp is arch all
    * depends on libtommath-dev
    * do not depend on parrot
    * removed dep on libicu-dev ...
    * updated moar dependency on moarv 2015.09
    * depends on libjs-bootstrap and libjs-angularjs
  * rules:
    * specifies moar location
    * use --prefix=/usr...
    * symlink nqp-m man page to nqp
  * copyright:
    * refreshed with "cme update dpkg-copyright"
    * exclude *.jar files
    * exclude libtommath library to use Debian's
    * also exclude src/vm/js/old-*
    * copyright: remove libtommath entry (excluded path)
  * updated README.source
  * added patches to fix lintian issues

 -- Dominique Dumont <dod@debian.org>  Sat, 03 Oct 2015 19:10:51 +0200

nqp (2014.07-3) unstable; urgency=medium

  * control: restrict arch to i386 amd64 and arm*

 -- Dominique Dumont <dod@debian.org>  Thu, 11 Sep 2014 20:27:36 +0200

nqp (2014.07-2) unstable; urgency=medium

  * force-dyncall-cflags patch:
    * also set -fPIC for kfreebsd...
    * use dpkg-buildflags for CFLAGS and LDFLAGS
  * removed fix-missing-prototype patch (not necessary since
    CFLAGS is now set for dyncall)

 -- Dominique Dumont <dod@debian.org>  Tue, 26 Aug 2014 19:31:50 +0200

nqp (2014.07-1) unstable; urgency=medium

  * new upstream version
  * control: updated vcs-browser url to use cgit
  * refreshed patch use-dpkg-arch-in-dyncall
  * removed ppc64 patch (configure completely changed)
  * refreshed fix-missing-prototype patch
  * added patch to force dyncall compilation to use CFLAGS
  * added patch to skip a test failure which fails in an unexpected way

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Aug 2014 20:04:42 +0200

nqp (2014.04-3) unstable; urgency=medium

  * added missing prototypes for mips and ppc
  * control: also build kfreebsd-*

 -- Dominique Dumont <dod@debian.org>  Mon, 14 Jul 2014 12:07:59 +0200

nqp (2014.04-2) unstable; urgency=medium

  * add missing prototypes in dyncall for several architectures
  * control: list the arch supported by nqp
  * added patch to support ppc64el arch (Closes: #754421) Thx Breno Leitao

 -- Dominique Dumont <dod@debian.org>  Sat, 12 Jul 2014 21:54:49 +0200

nqp (2014.04-1) unstable; urgency=medium

  * Imported Upstream version 2014.04
  * added patch to fix missing prototypes error
    (Closes: #747777, #749499)

 -- Dominique Dumont <dod@debian.org>  Tue, 08 Jul 2014 13:21:49 +0200

nqp (2014.03-1) unstable; urgency=medium

  [ Alessandro Ghedini ]
  * Remove myself from Uploaders

  [ Dominique Dumont ]
  * Imported Upstream version 2014.03
  * copyright: updated years
  * refreshed patch
  * control: added build-dep on libgmp-dev

 -- Dominique Dumont <dod@debian.org>  Wed, 09 Apr 2014 18:32:30 +0200

nqp (2014.01-1) unstable; urgency=medium

  * New upstream release
  * Drop 08_disable-failing-qregex-test.patch (fixed upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 19 Feb 2014 16:50:51 +0100

nqp (2013.12.1-1) unstable; urgency=medium

  * New upstream release
  * Add 08_disable-failing-qregex-test.patch to fix FTBFS (Closes: #731697)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 22 Dec 2013 15:36:09 +0100

nqp (2013.11.1-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 24 Nov 2013 14:24:19 +0100

nqp (2013.10-1) unstable; urgency=low

  * New upstream release
  * Bump versioned (Build-)Depends on parrot
  * Update patches
  * Install new README.pod
  * Fix vcs-field-not-canonical
  * Do not install rubyish examples
  * Do not Depends on parrot-devel anymore
  * Add 07_disable-serialization-tests.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 01 Nov 2013 12:09:18 +0100

nqp (2013.03-1) unstable; urgency=low

  * New upstream release
  * Bump versioned (Build-)Depends on parrot
  * Bump upstream copyright years
  * Add 06_disable-bigint-tests.patch
  * Add 07_fix-ppc-ftbfs.patch (Closes: #693901)
    Thanks to Roland Stigge
  * Update and refresh patches

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 04 Apr 2013 13:04:56 +0200

nqp (2012.10-1) unstable; urgency=low

  * New upstream release
  * Drop 07_fix-serialization-on-big-endian.patch (applied upstream)
  * Bump required parrot version
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 20 Oct 2012 18:40:58 +0200

nqp (0.1~2012.04.1-3) unstable; urgency=low

  * Add 07_fix-serialization-on-big-endian.patch to fix FTBFS
    on big endian platforms

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Jun 2012 10:34:27 +0200

nqp (0.1~2012.04.1-2) unstable; urgency=low

  * Fix typo in 04_use-dpkg-arch-in-dyncall-conf.patch to fix FTBFS
    on kfreebsd-*
  * Add 06_disable-bigint-div-test.patch to fix FTBFS on arm* and i386

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 10 Jun 2012 13:01:50 +0200

nqp (0.1~2012.04.1-1) unstable; urgency=low

  * New upstream release
  * Bump required parrot version
  * Refresh patches
  * Bump upstream copyright years for dyncall
  * Use dh_parrot debhelper plugin

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Jun 2012 14:57:52 +0200

nqp (0.1~2012.01-5) unstable; urgency=low

  * Add 05_fix-ftbfs-sparc.patch to fix a FTBFS on sparc

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Apr 2012 08:57:14 +0200

nqp (0.1~2012.01-4) unstable; urgency=low

  * Manually depend on parrotapi-X.Y.Z
  * Use dpkg-architecture to guess build os and arch
    - Drop 04_fix-dyncall-armel-arch.patch
    - Add 04_use-dpkg-arch-in-dyncall-conf.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 23 Apr 2012 20:28:30 +0200

nqp (0.1~2012.01-3) unstable; urgency=low

  * Add 04_fix-dyncall-armel-arch.patch (fix FTBFS on armel)
  * Explicitly set --with-parrot on configure (should fix FTBFS on mips)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 19 Apr 2012 17:57:00 +0200

nqp (0.1~2012.01-2) unstable; urgency=low

  * Add disable-bigint-roundtrip-tests.patch to fix a FTBS on 32bit
    architectures (Closes: #668692)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 19 Apr 2012 11:21:16 +0200

nqp (0.1~2012.01-1) unstable; urgency=low

  * Initial release (Closes: #643469)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 10 Apr 2012 17:14:20 +0200
